<section class="nevis-auth-login  grid-indent">

  <nevis-auth-third-party class="nevis-auth-login__third-party"
                          (isSignedIn)="receiveThirdPartySignInResult($event)"></nevis-auth-third-party>

  <p class="nevis-auth-login__or">
    {{app.i18n('or', i18n)}}
  </p>

  <section class="nevis-auth-login__form  dwfe-form" spellcheck="false">

    <dwfe-form-control-input-email class="dwfe-form__item"
                                   [labelText]="app.i18n('email', i18n)"
                                   [externalBackendValidator]="nevisService.backendValidatorEmail.bind(nevisService)"
                                   [reverseHandleRespFromBackend]="true"
                                   (takeControl)="cEmail=$event"
                                   #refEmail></dwfe-form-control-input-email>

    <dwfe-form-control-input-password class="dwfe-form__item"
                                      [labelText]="app.i18n('password', i18n)"
                                      [onlyValidatorRequired]="true"
                                      (takeControl)="cPassword=$event"
                                      #refPassword></dwfe-form-control-input-password>

    <dwfe-form-control-checkbox class="nevis-auth-login__not-my-device  dwfe-form__item"
                                [labelText]="app.i18n('not_my_device', i18n)"
                                (takeControl)="cNotMyDevice=$event"></dwfe-form-control-checkbox>

    <div class="nevis-auth-login__action">

      <dwfe-action-ok class="nevis-auth-login__action-btn"
                      [isDisabled]="isDisabledBtnPerformLogin()"
                      (takeClick)="performLogin()"></dwfe-action-ok>

      <a class="nevis-auth-login__password-reset" routerLink="/n/password-reset-req">
        {{app.i18n('forgot_password', i18n)}}
      </a>

      <dwfe-alert *ngIf="errorMessage !== ''"
                  class="dwfe-form__alert  dwfe-form__alert--over"
                  [message]="errorMessage"
                  [blink]="true"></dwfe-alert>
    </div>

    <dwfe-overlay *ngIf="isLocked"></dwfe-overlay>

  </section>

  <dwfe-dialog-simple *ngIf="isThirdPartySignedIn">
    <div class="nevis-auth-login__third-party-signed-in-wrap  grid-indent">
      <p class="dwfe-txt-successful">{{app.i18n('successfully_logged_in', i18n)}}</p>
      <button class="nevis-auth-login__third-party-btn  dwfe-form__btn  dwfe-form__btn--attraction"
              mat-raised-button
              type="button"
              (click)="goToIndexPage()"
              #refThirdPartyGoToIndexPage>
        {{app.i18n('go_to_index', i18n)}}
      </button>
    </div>
  </dwfe-dialog-simple>

</section>
